<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf">
    <!--<div class="ui segments">-->
    <h:form prependId="false" class="ui segment">
        <div class="ui grid">
            <div class="fourteen wide column">
                <div id="brcSuscripciones" style="padding-top: 9px" class="ui breadcrumb">
                    <h:commandLink class="section">
                        <h3 class="ui header">
                            <i class="address card outline icon" />
                            Suscripciones
                        </h3>
                        <f:ajax execute="@this" render="tblSuscripciones" onevent="function(data){ajaxMostrarTablaSuscripciones(data)}" />
                    </h:commandLink>
                    <i style="display: none;" id="iconFlechaSuscripciones" class="right angle icon divider"></i>
                    <div style="display: none;" id="suscripcionActual" class="active section"></div>
                </div>

            </div>
            <div class="two wide right aligned column">
                <div style="#{empty detalleClienteManBean.idcliente?'display: none':''}" id="btnAgregar" class="ui green icon button" onclick="evaluarAccionNuevo();" data-tooltip="Nueva suscripción" data-inverted="" data-position="left center">
                    <i class="add icon" ></i>
                </div>
                <h:commandLink id="btnAgregarSuscripcion" pt:data-tooltip="Agregar nueva suscripción" pt:data-inverted="" action="#{detalleSuscripcionCliManBean.limpiarCampos()}">
                    <f:ajax execute="@form" render="formDetalleSuscripcion tblCuotasSusc tblOtrosServicios" onevent="function(data){ajaxNuevaSuscripcion(data)}" />
                </h:commandLink>
            </div>
        </div>
    </h:form>



    <h:form prependId="false">
        <h:inputHidden id="txfIdSuscripcionCargar" value="#{detalleSuscripcionCliManBean.idSuscripcion}" />
        <h:commandLink style="display:none" id="btnCargarDetalleSuscripcion" value="boton" action="#{detalleSuscripcionCliManBean.cargarDatosSuscripcion()}">
            <f:ajax onevent="function(data){ajaxCargarDetalleSuscripcion(data)}" execute="@form" render="formDetalleSuscripcion tblCuotasSusc tblOtrosServicios" />
        </h:commandLink>
        <h:commandLink id="cmlCargarPrecioGenerarCuota" action="#{detalleSuscripcionCliManBean.cargarPrecioCuotaGenerar()}">
            <f:ajax execute="@form" render="in-monto-generarcuotas" />
        </h:commandLink>
    </h:form>
    <table jsf:id="tblSuscripciones" class="ui selectable single line table">
        <thead>
            <tr>
                <th>Código</th>
                <th>Estado</th>
                <th>Servicio</th>
                <th>Dirección</th>
                <th class="collapsing">Cuotas Pend.</th>
                <th class=" collapsing right aligned">Deuda</th>
                <th class="collapsing right aligned"></th>
            </tr>
        </thead>
        <tbody>
            <ui:repeat value="#{detalleClienteManBean.suscripcionesCli}" var="susc">
                <tr>
                    <td style="cursor: pointer;" onclick="mostrarDetalleSuscripcion(#{susc.idsuscripcion});" class="collapsing">#{susc.idsuscripcion}</td>
                    <td style="cursor: pointer;" onclick="mostrarModalCambioEstado(#{susc.idsuscripcion})" class="collapsing #{susc.estado.recibeServicio?'positive':'negative'}" 
                        data-tooltip="Desde: #{not empty susc.fechaCambioEstado?utilConversion.getFechaFormateada(susc.fechaCambioEstado):'(No registrado)'} | Click para cambiar" data-inverted="">
                        #{susc.estado.nombre}
                    </td>
                    <td style="cursor: pointer;" onclick="mostrarDetalleSuscripcion(#{susc.idsuscripcion});">#{susc.servicio.nombre}</td>
                    <td style="cursor: pointer;" onclick="mostrarDetalleSuscripcion(#{susc.idsuscripcion});">#{susc.direccion}</td>
                    <td style="cursor: pointer;" onclick="mostrarDetalleSuscripcion(#{susc.idsuscripcion});">
                        <h:outputLabel value="#{detalleSuscripcionCliManBean.getTotalCuotasPendientes(susc.idsuscripcion)}" />
                        <h:outputLabel value=" (#{detalleSuscripcionCliManBean.getCantCuotasPendientesPrincipal(susc.idsuscripcion)}+#{detalleSuscripcionCliManBean.getCantCuotasPendientesSecundario(susc.idsuscripcion)})" rendered="#{detalleSuscripcionCliManBean.getCantCuotasPendientesSecundario(susc.idsuscripcion)>0}" />
                    </td>
                    <td style="cursor: pointer;" onclick="mostrarDetalleSuscripcion(#{susc.idsuscripcion});" class="right aligned">
                        <h:outputText value="#{detalleSuscripcionCliManBean.getMontoDeuda(susc.idsuscripcion)}">
                            <f:convertNumber pattern="###,###,###,###" />
                        </h:outputText>
                    </td>
                    <td class="right aligned">
                        <a href="#" onclick="mostrarConfirmacionEliminarSusc(#{susc.idsuscripcion});" >
                            <i class="red trash icon" />
                        </a>
                        <div id="menuSuscripcion" class="ui dropdown" data-tooltip="Más opciones" data-inverted="">
                            <i class="black ellipsis vertical icon" />
                            <div class="menu">
                                <div class="item" onclick="mostrarModalCambioEstado(#{susc.idsuscripcion})">Cambiar estado</div>
                                <div class="item" onclick="mostrarModalCambioTitular(#{susc.idsuscripcion})">Cambiar titular</div>
                            </div>
                        </div>
                    </td>
                </tr>
            </ui:repeat>
            <tr jsf:rendered="#{empty detalleClienteManBean.suscripcionesCli}">
                <td style="color: gray;" class="center aligned" colspan="7">(Sin suscripciones)</td>
            </tr>
        </tbody>
    </table>
    <!-- MODAL ELIMINAR SUSCRIPCION -->
    <h:form prependId="false" id="modalEliminarSusc" class="ui basic modal">
        <h:inputHidden id="txfIdSuscEliminar" value="#{detalleSuscripcionCliManBean.idSuscripcionEliminar}" />
        <div class="ui icon header">
            <i class="address card outline icon"></i>
            Eliminar suscripción
        </div>
        <div class="centered content">
            <p>¿Desea eliminar la suscripción <span id="spnIdSuscElim"></span>?</p>
        </div>
        <div class="actions">
            <div class="ui basic cancel inverted button">
                <i class="remove icon"></i>
                Cancelar
            </div>
            <h:commandLink class="ui red ok inverted button" action="#{detalleSuscripcionCliManBean.eliminarSuscripcion()}">
                <i class="trash icon"></i>
                Eliminar
                <f:ajax execute="@form" render="tblSuscripciones tipoMsgSusc cabeceraMsgSusc detalleMsgSusc" />
            </h:commandLink>
        </div>
    </h:form>

    <!-- MODAL ELIMINAR CUOTA -->
    <h:form prependId="false" id="modalEliminarCuota" class="ui basic modal">
        <h:inputHidden id="txfIdCuotaEliminar" value="#{detalleSuscripcionCliManBean.idCuotaEliminar}" />
        <div class="ui icon header">
            <i class="address card outline icon"></i>
            Eliminar cuota
        </div>
        <div class="center aligned content">
            <p>¿Desea eliminar la cuota?</p>
        </div>
        <div class="actions">
            <div class="ui basic cancel inverted button">
                <i class="remove icon"></i>
                Cancelar
            </div>
            <h:commandLink class="ui red ok inverted button" action="#{detalleSuscripcionCliManBean.eliminarCuota()}">
                <i class="trash icon"></i>
                Eliminar
                <f:ajax execute="@form" render="tblOtrosServicios tblCuotasSusc tipoMsgSusc cabeceraMsgSusc detalleMsgSusc" onevent="function(data){ajaxEliminarCuota(data)}" />
            </h:commandLink>
        </div>
    </h:form>

    <!-- MODAL GENERAR CUOTAS -->
    <h:form prependId="false" id="modalGenerarCuotas" class="ui tiny modal">
        <div class="header">
            Cuotas
        </div>
        <div class="content">
            <div class="ui form">
                <div class="two fields">
                    <div class="field">
                        <label>Desde</label>
                        <div class="ui calendar" id="cal-desde-gencuota">
                            <div class="ui input left icon">
                                <i class="calendar icon"></i>
                                <input jsf:value="#{detalleSuscripcionCliManBean.strFechaDesdeGenerarCuota}" type="text" placeholder="Mes/Año" />
                            </div>
                        </div>
                    </div>
                    <div class="field">
                        <label>Hasta</label>
                        <div class="ui calendar" id="cal-hasta-gencuota">
                            <div class="ui input left icon">
                                <i class="calendar icon"></i>
                                <input jsf:value="#{detalleSuscripcionCliManBean.strFechaHastaGenerarCuota}" type="text" placeholder="Mes/Año" />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="field">
                    <label>Monto</label>
                    <div class="ui right labeled input">
                        <h:inputText id="in-monto-generarcuotas" value="#{detalleSuscripcionCliManBean.montoCuotaGenerar}" pt:type="number" pt:placeholder="90000"/>
                        <label class="ui label">gs.</label>
                    </div>
                </div>
            </div>
        </div>
        <div class="actions">
            <div class="ui deny button">
                Cancelar
            </div>
            <h:commandLink class="ui positive right labeled icon button" action="#{detalleSuscripcionCliManBean.generarCuotas()}">
                Generar
                <i class="magic icon"></i>
                <f:ajax execute="@form" render="tblCuotasSusc tipoMsgSusc cabeceraMsgSusc detalleMsgSusc" onevent="function(data){ajaxGenerarCuotas(data)}"/>
            </h:commandLink>
        </div>
    </h:form>

    <!-- MODAL GENERAR OTRAS CUOTAS -->
    <h:form prependId="false" id="modalGenerarOtrasCuotas" class="ui tiny modal">
        <div class="header">
            Otras cuotas
        </div>
        <div class="content">
            <div class="ui form">
                <div class="fields">
                    <div class="sixteen wide field">
                        <label>Concepto</label>
                        <div id="cmbOtroServicioGenerar" class="ui selection dropdown">
                            <input jsf:value="#{detalleSuscripcionCliManBean.idOtrosServiciosGenerar}" type="hidden" id="in-idotrosserviciosgenerar" />
                            <i class="dropdown icon"></i>
                            <div class="default text">Ej: Conexión</div>
                            <div class="menu">
                                <ui:repeat value="#{detalleSuscripcionCliManBean.serviciosNoSuscribibles}" var="otrosserv">
                                    <div class="item" data-value="#{otrosserv.idservicio}">#{otrosserv.nombre}</div>
                                    <input style="display: none;" id="precioServicio-#{otrosserv.idservicio}" value="#{otrosserv.precio} "/>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="three fields">
                    <div class="field">
                        <label>Primer vencimiento</label>
                        <div class="ui calendar" id="cal-priven-otrascuotas">
                            <div class="ui input left icon">
                                <i class="calendar icon"></i>
                                <h:inputText value="#{detalleSuscripcionCliManBean.strFechaOtrosServicios}" pt:placeholder="Fecha" />
                            </div>
                        </div>
                    </div>
                    <div class="field">
                        <label>Monto</label>
                        <div class="ui right labeled input">
                            <input jsf:id="in-montootrascuotas" jsf:value="#{detalleSuscripcionCliManBean.montoOtrosServicios}" type="number" placeholder="35000" />
                            <div class="ui label">Gs.</div>
                        </div>
                    </div>
                    <div class="field">
                        <label>Cantidad de cuotas</label>
                        <input jsf:value="#{detalleSuscripcionCliManBean.cantCuotasOtrosServicios}" type="number" placeholder="7" />
                    </div>
                </div>
            </div>
        </div>
        <div class="actions">
            <div class="ui deny button">
                Cancelar
            </div>
            <h:commandLink action="#{detalleSuscripcionCliManBean.generarCuotasOtrosServicios()}" class="ui positive right labeled icon button">
                Generar
                <i class="magic icon"></i>
                <f:ajax execute="@form" render="tblOtrosServicios tipoMsgSusc cabeceraMsgSusc detalleMsgSusc" onevent="function(data){ajaxGenerarCuotasOtrosServ(data)}" />
            </h:commandLink>
        </div>
    </h:form>

    <!-- MODAL CAMBIAR ESTADO SUSCRIPCION -->
    <h:form prependId="false" id="modalCambioEstado" class="ui tiny modal">
        <h:inputHidden id="in-idsuscripcioncambioestado" value="#{detalleSuscripcionCliManBean.idSuscripcionCambioEstado}" />
        <div class="header">
            Cambiar estado
        </div>
        <div class="content">
            <div class="ui form">
                <div class="two fields">
                    <div id="fieldEstadoCambio" class="required field">
                        <label>Cambiar a</label>
                        <div class="ui selection dropdown">
                            <h:inputHidden id="in-idestadocambio" value="#{detalleSuscripcionCliManBean.idEstadoCambio}" />
                            <i class="dropdown icon"></i>
                            <div class="default text">Estado</div>
                            <div class="menu">
                                <ui:repeat value="#{detalleSuscripcionCliManBean.lstEstados}" var="estadoSusc" varStatus="estadoSuscStatus">
                                    <div class="item" data-value="#{estadoSusc.idestado}">#{estadoSusc.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                    <div id="fieldFechaCambioEstado" class="required field">
                        <label>Fecha</label>
                        <div class="ui calendar" id="calFechaCambioEstado">
                            <div class="ui input">
                                <h:inputText id="in-fechacambioestado" value="#{detalleSuscripcionCliManBean.strFechaCambioEstado}" pt:placeholder="Fecha" />
                            </div>
                        </div>
                        <br/>
                    </div>
                </div>
                <div class="field">
                    <label>Observación</label>
                    <h:inputText pt:placeholder="Observación" />
                </div>
            </div>
            <div id="msgCambioEstado" class="ui hidden error message">
                <i class="close icon"></i>
                <div class="header">
                    Error de validación
                </div>
                <p>Complete los campos obligatorios</p>
            </div>
        </div>
        <div class="actions">
            <div class="ui deny button">
                Cancelar
            </div>
            <h:commandLink onclick="return validarCambioEstado()" class="ui blue right labeled icon button" action="#{detalleSuscripcionCliManBean.cambiarEstadoSuscripcion()}">
                Guardar
                <i class="save icon"></i>
                <f:ajax execute="@form" render="tblSuscripciones tipoMsgSusc cabeceraMsgSusc detalleMsgSusc" onevent="function(data){ajaxCambiarEstado(data)}" />
            </h:commandLink>
        </div>
    </h:form>

    <!--MODAL EDITAR CUOTA-->
    <h:form prependId="false" id="modalEditarCuota" class="ui tiny modal">
        <h:inputHidden id="in-idcuotaeditar" value="#{detalleSuscripcionCliManBean.idCuotaEditar}" />
        <div class="header">
            Editar cuota
        </div>
        <div class="content">
            <div class="ui form">
                <div class="two fields">
                    <div id="fieldMontoCuotaEditar" class="required field">
                        <label>Monto</label>
                        <h:inputText id="in-montocuotaeditar" value="#{detalleSuscripcionCliManBean.montoCuotaEditar}" pt:type="number" />
                    </div>
                    <div id="fieldVencimientoEditar" class="required field">
                        <label>Vencimiento</label>
                        <div class="ui calendar" id="calVencimientoCuotaEditar">
                            <div class="ui input">
                                <h:inputText id="in-fechavenceditar" value="#{detalleSuscripcionCliManBean.strFechaCuotaEditar}" pt:placeholder="Fecha" />
                            </div>
                        </div>
                        <br/>
                    </div>
                </div>
                <div class="field">
                    <label>Observación</label>
                    <h:inputText value="#{detalleSuscripcionCliManBean.observacionCuotaEditar}" pt:placeholder="Observación" />
                </div>
            </div>
            <div id="msgEditarCuota" class="ui hidden error message">
                <i class="close icon"></i>
                <div class="header">
                    Error de validación
                </div>
                <p>Complete los campos obligatorios</p>
            </div>
        </div>
        <div class="actions">
            <div class="ui deny button">
                Cancelar
            </div>
            <h:commandLink onclick="return validarEdicionCuota()" class="ui blue right labeled icon button" action="#{detalleSuscripcionCliManBean.editarCuota()}">
                Guardar
                <i class="save icon"></i>
                <f:ajax execute="@form" render="tblCuotasSusc tipoMsgSusc cabeceraMsgSusc detalleMsgSusc" onevent="function(data){ajaxEditarCuota(data)}" />
            </h:commandLink>
        </div>
    </h:form>
    
    <h:form prependId="false" id="modalCambioTitular" class="ui tiny modal">
        <div class="header">
            Cambiar titular
        </div>
        <div class="content">
            <div class="ui form">
                <div class="field">
                    <label>Nuevo titular</label>
                    <div id="cmbClienteCambioTitular" class="ui search selection dropdown" >
                        <h:inputHidden id="in-idclientecambiotitular" value="#{detalleSuscripcionCliManBean.idClienteCambioTitular}"  />
                        <i class="dropdown icon" />
                        <div class="default text">Cliente</div>
                        <div class="menu">
                        </div>
                    </div>
                </div>
            </div>
            
        <h:inputHidden id="in-idsuscripcioncambiotitular" value="#{detalleSuscripcionCliManBean.idSuscripcionCambioTitular}" />
        </div>
        <div class="actions">
            <div class="ui deny button">
                Cancelar
            </div>
            <h:commandLink class="ui blue right labeled icon button" action="#{detalleSuscripcionCliManBean.cambiarTitular()}">
                Guardar
                <i class="save icon" />
                <f:ajax execute="@form" render="tblSuscripciones tipoMsgSusc cabeceraMsgSusc detalleMsgSusc" onevent="function(data){ajaxCambiarTitular(data)}"/>
            </h:commandLink>
        </div>
    </h:form>

    <ui:include src="detallesuscripcion.xhtml" />
    <h:outputScript target="body" library="js" name="detallecliente/suscripcionescliente.js" />
</ui:composition>
